using System;
using System.Collections.Generic;
using System.Collections;
using System.Collections.Specialized;

using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

using Android.Graphics.Drawables;
using Android.GoogleMaps;

namespace Moogle
{
    /// <summary>
    /// LocationItemizedOverlay class. This class extends the GoogleMaps.ItemizedOverlay class and can be used
    /// to add a marker (or markers) to a given GoogleMaps.MapView class. This class was created for and is
    /// consumed by the ActivityFill class.
    /// </summary>
    class LocationItemizedOverlay : ItemizedOverlay
    {
         List<OverlayItem> _items;
         
        public LocationItemizedOverlay (Drawable marker, List<OverlayItem> items) : base(marker)
        {
            _items = items;
            BoundCenterBottom (marker);
            Populate ();
        }
         
        protected override Java.Lang.Object CreateItem (int i)
        {
            var item = _items [i];
            return item;
        }
         
        public override int Size ()
        {
            return _items.Count ();
        }
    }
}