﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Moogle
{
    /// <summary>
    /// Class to represent a single
    /// Prescribed Medication record.
    /// </summary>
    public class Medication
    {
        /// <summary>
        /// Integer value used to store the 
        /// sequential (or database assigned)
        /// id of the medication.
        /// </summary>
        public Int32 MedicationID
        {
            get;
            set;
        }
        /// <summary>
        /// String used to store the
        /// name of the medication.
        /// </summary>
        public String Name
        {
            get;
            set;
        }
        /// <summary>
        /// String value used to store
        /// the type of medication.
        /// </summary>
        /// <remarks>
        /// This value can only be "Rx" or "OTC".
        /// </remarks>
        public String Type
        {
            get;
            set;
        }
    }
}
